Closed Bug 955435 Opened 7 years ago Closed 7 years ago

TypeError on moving the mouse over the close button on a tab on OS X

Categories

(Instantbird :: Conversation, defect)

All
macOS
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: nhnt11, Assigned: nhnt11)

Details

Attachments

(1 file)

*** Original post on bio 1999 at 2013-06-10 23:25:00 UTC ***

The error is:

Error: TypeError: parent.getAttribute is not a function
Source File: resource://gre/modules/WindowDraggingUtils.jsm
Line: 39

This happens sometimes when clicking a tab too, but I'm not sure exactly when.
*** Original post on bio 1999 as attmnt 2706 at 2013-08-13 03:24:00 UTC ***

WindowDraggingElement starts at the mouse event's original target and cycles through the parentNodes until it hits the element it was initialized with. In the case of the close button, the hierarchy is toolbarbutton->hbox->stack->tab->tabs->etc. The dragging element is initialized with the arrowscrollbox, which isn't encountered in this hierarchy (I'm not sure why) and therefore it goes up to window and then null -> causing the TypeError. By setting mousethrough=never on the close tab toolbarbutton, this cycle is avoided. I don't know if this is the correct solution but I don't see anything wrong with it, and from my testing it didn't break any functionality.
Attachment #8354475 - Flags: review?(florian)
Comment on attachment 8354475 [details] [diff] [review]
Set mousethrough=never on close button

*** Original change on bio 1999 attmnt 2706 at 2013-08-14 12:29:38 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354475 - Flags: review?(florian) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1999 at 2013-08-14 13:47:52 UTC ***

http://hg.instantbird.org/instantbird/rev/73f7d0fb0426
Assignee: nobody → nhnt11
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.